/*******************************************************************Copyright Universität Bayreuth 2017*******************************************************************/

/********************************************************************************
Bei Programmstart die in requiremets.js hinterlegten Werte in die Dropdown-Menüs schreiben:
********************************************************************************/
/*Die DIN-Normen und die Objekte aus requXML in die Dropdown-Menüs ausschreiben:*/
// stFirstDIN = getRequBoot(requXML, "idCompleteDIN");	//DIN-Dropdown füllen
// arObjects = getRequ(requXML[stFirstDIN]);				//Objekt-Dropdown füllen
// writeDropdown(arObjects, "idCompleteObject");
document.getElementById('idChoosenToleranceColourRGB').value = 1;   //Bei Programmstart die Toleranz auf 1 setzen

/*Dropdown für Vollständiges Modell und Datenaustauschmodell ausfüllen:*/
// arObjectsCompleteModel = getRequ(requSTEP['DIN 4000-81']);
// writeDropdown(arObjectsCompleteModel, "idDropdownCompleteModel");


/********************************************************************************
Slider für Farbtoleranzen anlegen:
********************************************************************************/
$( "#idSliderColourRGB" ).slider({			//Slider initialisieren
  value: 1,									//Startwert ist 1
	change: function( event, ui ) {},			//Event-Listener aktivieren
});

document.getElementById('idSliderColourRGB').value = 1;   //Bei Programmstart die Toleranz auf 1 setzen

$( "#idSliderColourRGB" ).on( "mousemove", function( event, ui ) {		//Den Wert im Input-Feld ändern, wenn man den Slider betätigt
	var slideTolerance = $( "#idSliderColourRGB" ).slider( "option", "value" );
	document.getElementById('idChoosenToleranceColourRGB').value = slideTolerance;
} );

$("#idChoosenToleranceColourRGB").bind('keyup mouseup', function () {		//Slider ändern, wenn man den Wert im Input-Feld ändert
	var choosenToleranceColourRGB = document.getElementById('idChoosenToleranceColourRGB').value;
	$( "#idSliderColourRGB" ).slider( "option", "value", choosenToleranceColourRGB );
});


/********************************************************************************
DIN-Norm per Dropdown auswählen:
********************************************************************************/
// idCompleteDIN.onchange = function ()
// {
// 	console.log("DIN-Dropdown wurde gedrückt");
//
// 	var e = document.getElementById("idCompleteDIN");
// 	var selectedDIN = e.options[e.selectedIndex].value;
// 	console.log("Angewählte DIN: " + selectedDIN);
//
// 	var arObjects = getRequ(requXML[selectedDIN]);
// 	writeDropdown(arObjects, "idCompleteObject");
// }


/********************************************************************************
Button für vollständiges Modell und Datenaustauschmodell als Radio-Button umfunktionieren:
********************************************************************************/
$("#idVollständigesModell").change(function() {
  if(idVollständigesModell.checked == true)
     {$('#idDatenaustauschmodell').prop('checked', false);}
});

$("#idDatenaustauschmodell").change(function() {
  if(idDatenaustauschmodell.checked == true)
     {$('#idVollständigesModell').prop('checked', false);}
});


/********************************************************************************
MinMaxXML-Button:
********************************************************************************/
$("#panelBodyXML").hide();
$("#panelBodyStep").hide();
// idXMLMinMax.onclick = function ()
// {
// 		if ($("#panelBodyXML").is( ":hidden" ) )
// 			{
// 				changeCSSClass('idXMLMinMaxArrow', "glyphicon glyphicon-chevron-up");
// 				$("#panelBodyXML").show( "slow" );
// 			}
// 		else
// 			{
// 				changeCSSClass('idXMLMinMaxArrow', "glyphicon glyphicon-chevron-down");
// 				$("#panelBodyXML").slideUp();
// 			}
// }


/********************************************************************************
MinMaxSTEP-Button:
********************************************************************************/
// idStepMinMax.onclick = function ()
// {
// 		if ($("#panelBodyStep").is( ":hidden" ) )
// 			{
// 				changeCSSClass('idStepMinMaxArrow', "glyphicon glyphicon-chevron-up");
// 				$("#panelBodyStep").show( "slow" );
// 			}
// 		else
// 			{
// 				changeCSSClass('idStepMinMaxArrow', "glyphicon glyphicon-chevron-down");
// 				$("#panelBodyStep").slideUp();
// 			}
// }


/********************************************************************************
Keys von Assoziativen Arrays herausschreiben:
********************************************************************************/
function getRequ(arRequ)
{
  var arKeys = [];
  for(var key in arRequ)
  {arKeys.push(key);}

  return arKeys;
}


/********************************************************************************
Keys von Assoziativen Arrays herausschreiben + Erster Key wird als String zurückgegeben:
********************************************************************************/
function getRequBoot(arRequ, idDIN)
{
	var arKeys = [];
	for(var key in arRequ)
		{arKeys.push(key);}

	var stFirstDIN = arKeys[0];

	for(i = 0; i<arKeys.length; i++)
		{arKeys[i] = "<option>" + arKeys[i] + "</option>";}	  //HTML-Tags für Dropdown anhängen

	var stKeysWithTags = arKeys.join("");

	document.getElementById(idDIN).innerHTML = stKeysWithTags;
	return stFirstDIN;
}
