/*******************************************************************Copyright Universität Bayreuth 2017*******************************************************************/

/********************************************************************************
Elemente eines Arrays untereinander in Browser ausschreiben:
********************************************************************************/

function getDateString(){
	var theDate = new Date();

	return theDate.getFullYear() + "-" + (theDate.getMonth()+1) + "-" + theDate.getDate();
}

function getDateTimeString(){
	var theDate = new Date();

	return getDateString() + " " + theDate.getHours() + ":" + theDate.getMinutes() + ":" + theDate.getSeconds();
}


function writeProtocol(aString) {
		document.getElementById("idProtocol").innerHTML += aString + "</br>";
		return;
}

function clearProtocol() {
	document.getElementById("idProtocol").innerHTML = "";
	return;
}

function writeBrowser(arOutput, idHTML, stTitle, add)
{
	var stBrowser = "";
	for(var i=0; i<arOutput.length; i++)
	{
		stBrowser = stBrowser.concat(arOutput[i]);
		stBrowser = stBrowser.concat("<br>"); 	//NewLine Zeichen anhängen
	}

  if(add == "add")    //Wenn man etwas anhängen möchte und nicht überschreiben möchte, muss man "add" schreiben
    {
      if(stTitle != "")
      {
        if (arOutput.length!=0)
          {document.getElementById(idHTML).innerHTML += "<b>" + stTitle + ":<br></b>" + stBrowser + "<br>";}
        else
          {document.getElementById(idHTML).innerHTML += "";}
      }
      else
      {
        if (arOutput.length!=0)
          {document.getElementById(idHTML).innerHTML += stBrowser;}
        else
          {document.getElementById(idHTML).innerHTML += "";}
      }
    }
  else
    {
    	if(stTitle != "")
    	{
    		if (arOutput.length!=0)
    			{document.getElementById(idHTML).innerHTML = "<b>" + stTitle + ":</br></b>" + stBrowser + "</br>";}
    		else
    			{document.getElementById(idHTML).innerHTML = "";}
    	}
    	else
    	{
    		if (arOutput.length!=0)
    			{document.getElementById(idHTML).innerHTML = stBrowser;}
    		else
    			{document.getElementById(idHTML).innerHTML = "";}
    	}
    }
}


/********************************************************************************
Abstand mittels eines Divs erzeugen:
********************************************************************************/
function addDivWithMargin(idWhatIsInFront, stMargin)
{
	var einzufuegendesObjekt = document.createElement("div");
	einzufuegendesObjekt.className = stMargin;
	var vorhandenesObjekt = document.getElementById(idWhatIsInFront);
	vorhandenesObjekt.appendChild(einzufuegendesObjekt);
}


/********************************************************************************
InnerHTML zurücksetzen:
********************************************************************************/
function resetInnerHTML(HTMLId)
{
  if(document.getElementById(HTMLId) != null)
  {
	   document.getElementById(HTMLId).innerHTML = "";
  }
}


/********************************************************************************
CSS-Klasse ändern:
********************************************************************************/
function changeCSSClass(HTMLId, stNewClass)
{
	//document.getElementById(HTMLId).className = stNewClass;
}


/********************************************************************************
Gradmaß in Bogenmaß umrechnen:
********************************************************************************/
function degreeToRadians($degree)
{
    return $degree * Math.PI / 180;
}


/********************************************************************************
Bogenmaß in Gradmaß umrechnen:
********************************************************************************/
function radiansToDegrees($radian)
{
    return $radian * 180/ Math.PI;
}


/********************************************************************************
Regex zusammenfügen:
********************************************************************************/
function regexConnect(firstPart, secondPart, thirdPart)
{
  var arStringsToConnect = new Array();
  arStringsToConnect[0] = firstPart;
  arStringsToConnect[1] = secondPart;
  arStringsToConnect[2] = thirdPart;
  var stRegex = arStringsToConnect.join("");  //Aus Array einen String machen
  var rxRegex = new RegExp(stRegex,""); //Aus String einen Regex machen
  return(rxRegex);
}


/********************************************************************************
Winkel zwischen 2 Vektoren berechnen (gerundet):
********************************************************************************/
function calculateAngle(xVector1, yVector1, zVector1, xVector2, yVector2, zVector2)
{
  var dotProduct = math.dot([xVector1, yVector1, zVector1], [xVector2, yVector2, zVector2]);  //Skalarprodukt berechnen
  var vectorNormA = math.norm([xVector1, yVector1, zVector1]);      //Vektornorm
  var vectorNormB = math.norm([xVector2, yVector2, zVector2]);      //Vektornorm
  var argumentForArccos = dotProduct/(vectorNormA*vectorNormB);     //Argument für den Arkuskosinus berechnen
  var angleBetweenVectorsRadians = math.acos(argumentForArccos);    //Winkel zwischen den beiden Vektoren (in Bogenmaß)
  var angleBetweenVectorsDegrees = radiansToDegrees(angleBetweenVectorsRadians);
  var angleBetweenVectorsDegreesRounded = math.round(angleBetweenVectorsDegrees);  //Toleranz: Durch die Rundung werden Werte zwischen -0,5 und 0,5 bzw. 179,5 und 180,5 akzeptiert
  return angleBetweenVectorsDegreesRounded;
}


/********************************************************************************
Optionen in Dropdown schreiben:
********************************************************************************/
function writeDropdown(arKeys, idDIN)
{
	for(i = 0; i<arKeys.length; i++)
		{arKeys[i] = "<option>" + arKeys[i] + "</option>";}

	var stKeysWithTags = arKeys.join("");

	document.getElementById(idDIN).innerHTML = stKeysWithTags;
}


/********************************************************************************
Angezeigte Option im Dropdown-Menü ändern:
********************************************************************************/
function changeDropdownOption(dropDownID, optionToSelect)
{
    var element = document.getElementById(dropDownID);
    element.value = optionToSelect;
}


/********************************************************************************
Datei glätten:
********************************************************************************/
function flattenFile(fileName)
{
	flattenedFile = fileName.replace(/(\r\n|\n|\r)/gm,"");
	return(flattenedFile);
}
